%% Initialisation des paramètres globaux
% Initialisation des paramètres pour l'exercice « De l'importance de l'ordre ».
function init_ordre
global dt varpart R
% Pas de temps retenu pour les simulations.
dt = 2 ^ -12;
% Variance par unité de temps du bruit brownien.
varpart = [2 -1; -1 1];
% Comme on aura besoin d'utiliser de nombreuses fois la méthode de Cholesky avec
% la matrice de covariance "varpart", on calcule une fois pour toutes la matrice
% de Cholesky "R" associée à cette covariance.
R = chol (varpart)';
return
end

