%% Simulation avec X mis à jour avant Y (sans tracé).
% Variante de "simulation_01" où on ne trace pas de graphique, mais à la place
% on renvoie le 2-vecteur (X_T, Y_T). Il s'agit simplement d'une variante plus
% simple de "simulation_01", donc le code se passe de commentaires.
function XY = simulation_01_muette (X0, Y0, T)
global R dt
init_ordre ();
Npas = ceil (T / dt);
t = 0;
X = X0;
Y = Y0;
for i = 1 : Npas
  if i == Npas
    pas = T - t;
    t = T;
  else
    pas = dt;
    t = t + pas;
  end
  dW13 = sqrt (pas) * R * randn (2, 1);
  dW2 = sqrt (pas) * randn ();
  dW4 = sqrt (pas) * randn ();
  X = X + Y * dW13(1) + dW2;
  Y = Y + X * dW13(2) + dW4;
end
XY = [X, Y];
return
end
