%% Simulation avec Y mis à jour avant X.
% Même idée que pour "simulation_01", mais cette fois-ci c'est Y qui est mis à
% jour en premier. Je ne commente que les différences avec "simulation_01".
function simulation_10 (X0, Y0, T)
global R dt
init_ordre ();
Npas = ceil (T / dt);
t_ = zeros (1, Npas + 1);
X_ = zeros (1, Npas + 1);
Y_ = zeros (1, Npas + 1);
t = 0;
X = X0;
Y = Y0;
t_(1) = t;
X_(1) = X;
Y_(1) = Y;
for i = 1 : Npas
  if i == Npas
    pas = T - t;
    t = T;
  else
    pas = dt;
    t = t + pas;
  end
  dW13 = sqrt (pas) * R * randn (2, 1);
  dW2 = sqrt (pas) * randn ();
  dW4 = sqrt (pas) * randn ();
  % La seule différence est qu'on a interverti l'ordre des deux lignes
  % ci-dessous…
  X = X + Y * dW13(1) + dW2;
  Y = Y + X * dW13(2) + dW4;
  X_(i + 1) = X;
  Y_(i + 1) = Y;
  t_(i + 1) = t;
end
figure (1)
clf
hold on
plot (t_, X_, 'blue')
plot (t_, Y_, 'red')
hold off
xlim ([0, T]);
return
end
