%% Simulation avec Y mis à jour avant X (sans tracé).
% Variante de "simulation_10" où on ne trace pas de graphique, mais à la place
% on renvoie le 2-vecteur (X_T, Y_T).
function XY = simulation_10_muette (X0, Y0, T)
global R dt
init_ordre ();
Npas = ceil (T / dt);
t = 0;
X = X0;
Y = Y0;
for i = 1 : Npas
  if i == Npas
    pas = T - t;
    t = T;
  else
    pas = dt;
    t = t + pas;
  end
  dW13 = sqrt (pas) * R * randn (2, 1);
  dW2 = sqrt (pas) * randn ();
  dW4 = sqrt (pas) * randn ();
  Y = Y + X * dW13(2) + dW4;
  X = X + Y * dW13(1) + dW2;
end
XY = [X, Y];
return
end
