%% Initialisation des paramètres globaux.
% Cette fonction initialise les paramètres globaux utilisés dans l'exercice «
% Processus de naissance & mort »
function init_PNM
global alphaX alphaY beta0 beta1 betaY subdivisions risque z_risque
% Paramètres de l'énoncé.
alphaX = .5;
alphaY = 1;
beta0 = .1;
beta1 = 5e-3;
betaY = 5e-3;
% Nombre de subdivisions utilisées quand on veut souhaite juste tracer l'état de
% la population à intervalles réguliers.
subdivisions = 1366;
% Niveau de risque choisi et z-valeur associée.
risque = 5e-2;
z_risque = sqrt (2) * erfinv (1 - risque);
return
end
