%% Initialisation des variables globales.
% Cette fonction initialise les variables globales pour l'exercice « Dudo » :
% elle est destinée à être appelée une unique fois au début de chaque fonction
% lancée par l'opérateur.
function init_Dudo ()
global Z F D risque z_risque epsilon pba1_biaisee pba2_biaisee
% Nombre de dés.
Z = 25;
% Nombre de faces d'un dé.
F = 6;
% Seuil à atteindre.
D = 7;
% Niveau de risque retenu pour les intervalles de confiance.
risque = .05;
% z-valeur associée au risque.
z_risque = sqrt (2) * erfinv (1 - risque);
% Biais pour la loi d'échantillonnage préférentiel.
epsilon = .1;
% Probabilité de tomber sur ‘1’ sous la loi préférentielle.
pba1_biaisee = (1 + (F - 1) * epsilon) / F;
% Probabilité de tomber sur ‘2’ (ou ‘3’, …, ou ‘6’) sous la loi préférentielle.
pba2_biaisee = (1 - epsilon) / F;
% Fin de la fonction.
return
end
