function MC_cond (Nsim)
global Let lambda
init_fissures ()
% "s" et "s2" sont la somme et la somme des carrés des valeurs simulées.
s = 0;
s2 = 0;
% Boucle de Monte-Carlo
for i = 1 : Nsim
  % Dans un premier temps, "n" va compter le nombre de fissures au bout duquel
  % le tuyau éclate.
  n = 0;
  l = 0;
  while l < Let
    n = n + 1;
    l = l - lambda * log (rand ());
  end
  p_cond = probansauts (n);
  %fprintf ('%e\n', p_cond);
  s = s + p_cond;
  s2 = s2 + p_cond ^ 2;
end
esp_emp_f = s / Nsim;
var_emp_f = s2 / Nsim - esp_emp_f ^ 2;
est_p = esp_emp_f;
var_est_p = var_emp_f / Nsim;
ect_est_p = sqrt (var_est_p);
fprintf ('Probabilité de rupture du tuyau :\n');
fprintf ('%.2f ppm ± %.2f.\n', 10 ^ 6 * est_p, 10 ^ 6 * 1.96 * ect_est_p);
return
end