function p = probansauts (n)
global tau T
global Ntabul probansauts_
if n <= Ntabul
  p = probansauts_(n);
  return
end
p = 1;
theta = tau * T;
% "pk" sera la probabilité que ma loi de Poisson vaille exactement k.
% J'initialise à la valeur de la probabilité de 0.
pk = exp (-theta);
for k = 0 : (n - 1)
  p = p - pk;
  % Probabilité de (k+1) sauts en fonction de la probabilité de k sauts (formule
  % de récurrence).
  pk = pk * theta / (k + 1);
end
return
end