function comparaison (R0, R1)
global csautage pbraquage
init_casino ();
% Je choisis arbitrairement de prendre 1000 simulations
Nsim = 1000;
% "somme" sera la somme de la différence (indicatrice du sautage dans le second
% cas) - (indicatrice du sautage dans le premier cas). "somme2" sera la somme
% des carrés de ces différences.
somme = 0;
somme2 = 0;
for i = 1 : Nsim
reponse = sautage_coupl (R0, R1);
diffind = reponse(2) - reponse(1);
somme = somme + diffind;
somme2 = somme2 + diffind ^ 2;
end
esp_diffind_emp = somme / Nsim;
var_diffind_emp = somme2 / Nsim - esp_diffind_emp ^ 2;
% À nouveau, la différence entre les préjudices moyens est simplement une
% fonction linéaire déterministe de la différence entre les probabilités de
% sautage.
est_diff = esp_diffind_emp * csautage + pbraquage * (R1 - R0);
var_est_diff = csautage ^ 2 * var_diffind_emp / Nsim;
ect_est_diff = sqrt (var_est_diff);
% On regarde les valeurs inférieures et supérieures de l'intervalle de
% confiance.
borneinf_diff = est_diff - 1.65 * ect_est_diff;
bornesup_diff = est_diff + 1.65 * ect_est_diff;
if borneinf_diff > 0
  fprintf ('Au risque 10 %%, on peut affirmer que c''est le premier choix de provision proposé qui minimisera le préjudice moyen du casino.\n');
elseif bornesup_diff < 0
  fprintf ('Au risque 10 %%, on peut affirmer que c''est le second choix de provision proposé qui minimisera le préjudice moyen du casino.\n');
else
  fprintf ('Au risque 10 %%, on ne peut pas trancher quel est le meilleur choix de provision initiale.\n');
end
return
end