% Simulation d'une mise conditionnellement à ce que celle-ci ne soit pas
% minimale.
function m = mise_gros ()
global pmmin pmmax misemin misemax
% init_casino (); Cette fois-ci on simule r uniformément entre 0 et 1-pmmin, ce
% qui est ce qu'on doit observer dans "mise" après la premirèe étape,
% conditionnellement à ne pas avoir la mise minimale.
r = (1 - pmmin) * rand ();
r = r - pmmax;
% Si r était entre pmmin et pmmin + pmmax.
if r < 0
  m = misemax;
  return
else
  % Conditionnellement à arriver ici, r est uniforme entre 0 et 1-pmmin-pmmax.
  logm = log (misemin) + (log (misemax) - log (misemin)) * r / (1- pmmin - pmmax);
  m = exp (logm);
end
return
end

