% "sautage_coupl" fait la même chose que "sautage", mais en regardant ce qui se
% passe pour les deux mises initiales respectives R0 et R1. Cette fois-ci
% "reponse" est donc un 2-vecteur de booléens.
function reponse = sautage_coupl (R0, R1)
global Tsoiree
% On initialise "reponse" à "faux"
reponse = [false, false];
% init_casino ();
% Cette fois il n'y a plus de découpage en divers pas, ni de stockage des
% valeurs, puisque cela ne faisait sens que pour le tracé.
% "reserve0" est la réserve dans la première situation, et "reserve1" dans la
% seconde.
reserve0 = R0;
reserve1 = R1;
  t = 0;
  while true
    t = t + attente;
    if t > Tsoiree
      break;
    end
    % On utilise la même réalisation de "partie" dans les deux cas, dont le
    % résultat est stocké dans "gain".
    gain = partie ();
    reserve0 = reserve0 + gain;
    reserve1 = reserve1 + gain;
    if reserve0 < 0
      reponse(1) = true;
      % Remarque : Cette fois-ci on poursuit la simulation, plutôt que de
      % vérifier pointilleusement que la banque a sauté dans chacune des deux
      % situations…
    end
    if reserve1 < 0
      reponse(2) = true;
    end
  end
return
end