function estimation_2ctrl (Nsim)
global lambdaT
init_arbitrage ()
somme = 0;
somme2 = 0;
Ainit = 100;
m = 2e-5;
s = 1e-5;
for i = 1 : Nsim
  % Il faut tirer la valeur initiale de T aléatoirement.
  Tinit = m + s * randn ();
  % "A" est la valeur simulée, et "f" avec la correction due à la variable de
  % contrôle.
  A = simulation_sansW (Ainit, Tinit);
  f = A - Ainit * Tinit / lambdaT;
  somme = somme + f;
  somme2 = somme2 + f ^ 2;
end
esp_f_emp = somme / Nsim;
var_f_emp = somme2 / Nsim - esp_f_emp ^ 2;
% On connait exactement l'espérance de la variable de contrôle.
Evc = m * Ainit / lambdaT;
est_EA = esp_f_emp + Evc;
var_est_EA = var_f_emp / Nsim;
ect_est_EA = sqrt (var_est_EA);
fprintf ('La valeur moyenne de A à la fin de la simulation est :\n');
fprintf ('%.6f € ± %.6f.\n', est_EA, 1.96 * ect_est_EA);
return
end