function simulation (Ainit, Tinit)
global t0 tau Npas sigmaA0 sigmaAT sigmaT lambdaT
init_arbitrage ();
T_ = zeros (1, Npas + 1);
A_ = zeros (1, Npas + 1);
T = Tinit;
A = Ainit;
T_(1) = T;
A_(1) = A;
dt = (tau - t0) / Npas;
for i = 1 : Npas
  dA = sqrt (sigmaAT ^ 2 * abs (T) + sigmaA0 ^ 2) * A * sqrt (dt) * randn () + T * A * dt;
  dT = sigmaT * sqrt (dt) * randn () - lambdaT * T * dt;
  A = A + dA;
  T = T + dT;
  A_(i + 1) = A;
  T_(i + 1) = T;
end
t_ = t0 + (tau - t0) / Npas * (0 : Npas);
figure (1)
clf
subplot (2, 1, 1)
plot (t_, A_);
title ('Evolution du cours de l''actif')
xlim ([t0, tau])
subplot (2, 1, 2)
plot (t_, T_);
title ('Evolution de la tendance')
xlim ([t0, tau])
return
end