%% Calcul d'un intervalle de confiance pour M_4, en utilisant le maximum de simulations que l'on peut faire en 2 minutes.
% Cette fonction affiche l'intervalle de confiance au risque 1 % pour M_4.
function MC_IC_2min ()
% La seule différence par rapport à "MC_IC" est sur la valeur de "Nsim" !
Nsim = 47956574;
somme = 0;
somme_carres = 0;
for i = 1 : Nsim
    Y = loi_de_Y ();
    somme = somme + Y;
    somme_carres = somme_carres + Y * Y;
end
estimateur = somme / Nsim;
estimateur_EY2 = somme_carres / Nsim;
estimateur_sigma = sqrt (estimateur_EY2 - estimateur * estimateur);
marge = 2.58 * estimateur_sigma / sqrt (Nsim);
fprintf ('Au risque 1 %%, M_4 vaut %.6f ± %.6f.\n', estimateur, marge);
return
end