function testMC (methode, X0, Y0, T, test, Nsim)
init_ordre ();
somme = 0;
somme2 = 0;
for i = 1 : Nsim
  switch methode
    case '01'
      XY = simulation_01_muette (X0, Y0, T);
    case '10'
      XY = simulation_10_muette (X0, Y0, T);
    case '00'
      XY = simulation_00_muette (X0, Y0, T);
    case '01bis'
      XY = simulation_01bis (X0, Y0, T);
    case '10bis'
      XY = simulation_10bis (X0, Y0, T);
  end
  switch test
    case 'Xnegatif'
      if XY(1) < 0
        f = 1;
      else
        f = 0;
      end
    case 'XvsY'
      if XY(1) > XY(2)
        f = 1;
      else
        f = 0;
      end
    case 'EY'
      f = XY(2);
  end
  somme = somme + f;
  somme2 = somme2 + f ^ 2;
end
esp_f_emp = somme / Nsim;
var_f_emp = somme2 / Nsim - esp_f_emp ^ 2;
est_Ef = esp_f_emp;
var_est_Ef = var_f_emp / Nsim;
ect_est_Ef = sqrt (var_est_Ef);
fprintf ('Avec la méthode de simulation %s,\n', methode)
switch test
  case 'Xnegatif'
    fprintf ('La probabilité que X_T soit négatif vaut\n');
  case 'XvsY'
    fprintf ('La probabilité que X_T soit supérieur à Y_T vaut\n');
  case 'EY'
    fprintf ('L''espérance de Y_T vaut\n');
end
fprintf ('%f ± %f.\n', est_Ef, 2.58 * ect_est_Ef);
return
end
