function Eprejudice (R0)
global csautage pbraquage
init_casino ();
% Je choisis arbitrairement de prendre 1000 simulations
Nsim = 1000;
Nsautages = 0;
for i = 1 : Nsim
  if sautage (R0)
    Nsautages = Nsautages + 1;
  end
end
esp_isautage_emp = Nsautages / Nsim;
var_isautage_emp = esp_isautage_emp * (1 - esp_isautage_emp);
% En fait on est juste en train de considérer une fonction linéaire déterministe
% de la probabilité que la banque saute ; on a donc exactement les mêmes calculs
% ; c'est juste au moment de calculer l'estimateur et son intervalle de
% confiance que les choses changent !
est_Eprejudice = esp_isautage_emp * csautage + pbraquage * R0;
var_est_Eprejudice = csautage ^ 2 * var_isautage_emp / Nsim;
ect_est_Eprejudice = sqrt (var_est_Eprejudice);
fprintf ('Le préjudice moyen subi par le casino vaut :\n');
fprintf ('%.3f € ± %.3f.\n', est_Eprejudice, 1.65 * ect_est_Eprejudice);
return
end