function sautage = sautage_brown (R0)
global Tsoiree a b
% Nombre de points intermédiaires retenus pour la simulation brownienne. Notez
% que cette fois-ci on est obligé d'avoir une notion de pas de temps, même sans
% faire de tracé.
Npas = 480;
longueur_pas = Tsoiree / Npas;
reserve = R0;
sautage = false;
for i = 1 : Npas
  reserve = reserve + a * sqrt (longueur_pas) * randn () + b * longueur_pas;
  t = 0;
  while true
    t = t + attente_gros;
    if t > longueur_pas
      break;
    end
    reserve = reserve + partie_gros ();
  end
  % Comme ça n'a pas vraiment de sens de regarder ce qui se passe à l'intérieur
  % d'un pas de temps, je ne teste la négativité de la réserve qu'à la fin des
  % pas de temps.
  if reserve < 0
    sautage = true;
    return
  end
end
return
end