function soiree (R0)
global Tsoiree
init_casino ();
% Nombre de points intermédiaires retenus pour le tracé.
Npas = 480;
longueur_pas = Tsoiree / Npas;
valeurs_reserve = zeros (1, Npas + 1);
reserve = R0;
valeurs_reserve (1) = reserve;
for i = 1 : Npas
  % "t" se réfère ici au temps écoulé depuis le début du pas utilisé pour le
  % tracé.
  t = 0;
  % On simule l'évolution de la réserve jusqu'à ce que le temps dépasse la
  % longueur du pas pour le tracé.
  while true
    t = t + attente;
    if t > longueur_pas
      break;
    end
    reserve = reserve + partie ();
  end
  % On stocke la valeur de la réserve à la fin du pas de temps.
  valeurs_reserve(i + 1) = reserve;
end
valeurs_temps = (0 : Npas) * longueur_pas;
plot (valeurs_temps, valeurs_reserve);
xlim ([0, Tsoiree]);
return
end