%% Initialisation des paramètres globaux.
% Cette fonction sans entrée ni sortie initialise les paramètres globaux pour
% l'exercice « Les aiguilles de Buffon ». Elle est destinée à être appelée une
% fois au début de chaque fonction appelée depuis la console.
function init_Buffon
global a l risque z_risque
% Longueur des aiguilles.
a = 5.6;
% Largeur des lattes.
l = 6.4;
% Niveau de risque choisi pour les intervalles de confiance.
risque = .05;
% z-valeur de la loi normale associée au niveau de risque choisi. (p. ex. 1.96
% pour un risque de 5 %).
z_risque = sqrt (2) * erfinv (1 - risque);
% Fin de la fonction.
return
end
