function A_sansW = simulation_sansW (Ainit, Tinit)
global t0 tau Npas sigmaT lambdaT sigmaAT sigmaA0
% init_arbitrage ()
T = Tinit;
A = Ainit;
A_sansW = Ainit;
dt = (tau - t0) / Npas;
for i = 1 : Npas
  % On ne met plus le terme de bruit dans l'évolution de A !
  dA = T * A * dt + sqrt (sigmaAT ^ 2 * abs (T) + sigmaA0 ^ 2) * A * sqrt (dt) * randn ();
  dA_sansW = T * A * dt;
  dT = sigmaT * sqrt (dt) * randn () - lambdaT * T * dt;
  A = A + dA;
  A_sansW = A_sansW + dA_sansW;
  T = T + dT;
end
return
end
